View Issue Details

IDProjectCategoryView StatusLast Update
0002398SOGoOpenChange backendpublic2013-09-06 13:56
Reportersarahlee Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.7 
Target Version2.1.0Fixed in Version2.1.0 
Summary0002398: Meeting invitation and response via MS Outlook
Description

Samba Panic when create meeting invitation and respone via Ms Outlook

TagsNo tags attached.

Activities

ludovic

ludovic

2013-08-21 07:08

administrator   ~0005914

Produce a relevant stack trace when that happens:

http://www.sogo.nu/english/nc/support/faq/article/how-do-i-debug-sogo.html

sarahlee

sarahlee

2013-08-21 12:46

reporter   ~0005915

this is we get from gdb:

                    mapi_request: struct EcDoRpc_MAPI_REQ
                        opnum                    : 0x0a (10)
                        logon_id                 : 0x00 (0)
                        handle_idx               : 0x00 (0)
                        u                        : union EcDoRpc_MAPI_REQ_UNION(case 10)
                        mapi_SetProps: struct SetProps_req
                            values: struct mapi_SPropValue_array
                                cValues                  : 0x0002 (2)
                                lpProps: ARRAY(2)
                                    lpProps: struct mapi_SPropValue
                                        ulPropTag                : PidTagSubjectPrefix (0x3D001F)
                                        value                    : union mapi_SPropValue_CTR(case 31)
                                        lpszW                    : ''
                                    lpProps: struct mapi_SPropValue
                                        ulPropTag                : PidTagNormalizedSubject (0xE1D001F)
                                        value                    : union mapi_SPropValue_CTR(case 31)
                                        lpszW                    : 'Event Invitation: "Meeting"'
                    mapi_request: struct EcDoRpc_MAPI_REQ
                        opnum                    : 0x0c (12)
                        logon_id                 : 0x00 (0)
                        handle_idx               : 0x00 (0)
                        u                        : union EcDoRpc_MAPI_REQ_UNION(case 12)
                        mapi_SaveChangesMessage: struct SaveChangesMessage_req
                            handle_idx               : 0x00 (0)
                            SaveFlags                : 0x08 (8)
                    mapi_request: struct EcDoRpc_MAPI_REQ
                        opnum                    : 0x07 (7)
                        logon_id                 : 0x00 (0)
                        handle_idx               : 0x00 (0)
                        u                        : union EcDoRpc_MAPI_REQ_UNION(case 7)
                        mapi_GetProps: struct GetProps_req
                            PropertySizeLimit        : 0x0000 (0)
                            WantUnicode              : 0x0000 (0)
                            prop_count               : 0x0001 (1)
                            properties: ARRAY(1)
                                properties               : PidTagChangeKey (0x65E20102)
                    mapi_request             : (handles) number=1
                        handle                   : 0x0000000c (12)
            cbIn                     : 0x000005dd (1501)
            pcbOut                   : *
                pcbOut                   : 0x00008007 (32775)
            rgbAuxIn                 : DATA_BLOB length=0
            cbAuxIn                  : 0x00000000 (0)
            pcbAuxOut                : *
                pcbAuxOut                : 0x00001008 (4104)

exchange_emsmdb: EcDoRpcExt2 (0xB)
MAPI Rop: 0x0a (0)
exchange_emsmdb: [OXCPRPT] SetProperties (0x0a)
[SOGo: sogo_properties_set_properties:1438]
matching offset - done

Program received signal SIGSEGV, Segmentation fault.
0x00007fffdc26919c in ?? () from /usr/lib64/GNUstep/SOGo/SOGoBackend.MAPIStore/./SOGoBackend

ludovic

ludovic

2013-08-21 12:47

administrator   ~0005916

Reread what I said.

2013-08-21 13:46

 

log.samba (885,545 bytes)
sarahlee

sarahlee

2013-08-21 13:50

reporter   ~0005917

Last edited: 2013-08-21 13:55

i just upload samba log file. thanks.
i will waiting for your feedback.

ludovic

ludovic

2013-08-21 14:02

administrator   ~0005918

You haven't installed the SOPE AND SOGo debug symbols.

Do so and redo your stacktrace.

sarahlee

sarahlee

2013-08-21 15:09

reporter   ~0005919

Last edited: 2013-08-21 15:14

i was install according to your hyperlink.

[root@sogo demo]# rpm -qa | egrep "sogo|sope"
sogo-openchange-backend-2.0_20130819-1.centos6.x86_64
sope49-appserver-4.9-20130722_1664.el6.1.x86_64
sope49-gdl1-mysql-4.9-20130722_1664.el6.1.x86_64
openchange-ocsmanager-2.0.r3669.sogo-1.centos6.x86_64
sope49-core-4.9-20130722_1664.el6.1.x86_64
sope49-gdl1-4.9-20130722_1664.el6.1.x86_64
sope49-sbjson-2.3.1-20130722_1664.el6.1.x86_64
sope49-gdl1-contentstore-2.0_20130819-1.centos6.x86_64
openchange-rpcproxy-2.0.r3669.sogo-1.centos6.x86_64
sope49-debuginfo-4.9-20130816_1664.el6.1.x86_64
sope49-ldap-4.9-20130722_1664.el6.1.x86_64
sope49-cards-2.0_20130819-1.centos6.x86_64
sogo-2.0_20130819-1.centos6.x86_64
sope49-mime-4.9-20130722_1664.el6.1.x86_64
openchange-2.0.r3669.sogo-1.centos6.x86_64
sope49-xml-4.9-20130722_1664.el6.1.x86_64
sogo-debuginfo-2.0_20130821-1.centos6.x86_64

please guide. sorry i'm newbie

2013-08-22 04:51

 

log.samba_2 (1,348,310 bytes)
sarahlee

sarahlee

2013-08-22 04:55

reporter   ~0005921

I just upload another log file. hopefully this log file is ok.
I will be waiting for your response.

ludovic

ludovic

2013-09-06 13:50

administrator   ~0005945

Fixed:

https://github.com/inverse-inc/sogo/commit/cd4abe4b5b3c085b2d0b7fa93633fcbea4470417

Issue History

Date Modified Username Field Change
2013-08-21 01:24 sarahlee New Issue
2013-08-21 07:08 ludovic Note Added: 0005914
2013-08-21 12:46 sarahlee Note Added: 0005915
2013-08-21 12:47 ludovic Note Added: 0005916
2013-08-21 13:46 sarahlee File Added: log.samba
2013-08-21 13:50 sarahlee Note Added: 0005917
2013-08-21 13:50 sarahlee Note Edited: 0005917
2013-08-21 13:55 sarahlee Note Edited: 0005917
2013-08-21 14:02 ludovic Note Added: 0005918
2013-08-21 15:09 sarahlee Note Added: 0005919
2013-08-21 15:14 sarahlee Note Edited: 0005919
2013-08-22 04:51 sarahlee File Added: log.samba_2
2013-08-22 04:55 sarahlee Note Added: 0005921
2013-09-06 13:50 ludovic Target Version => 2.0.7
2013-09-06 13:50 ludovic Note Added: 0005945
2013-09-06 13:50 ludovic Status new => closed
2013-09-06 13:50 ludovic Resolution open => fixed
2013-09-06 13:50 ludovic Fixed in Version => 2.0.7
2013-09-06 13:56 ludovic Fixed in Version 2.0.7 => 2.1.0
2013-09-06 13:56 ludovic Target Version 2.0.7 => 2.1.0